<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:util="http://www.springframework.org/schema/util"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd




    http://www.springframework.org/schema/util
    http://www.springframework.org/schema/util/spring-util-2.5.xsd"
>
    <bean id="biomassProductionDAO"
          class="org.inra.ecoinfo.acbb.dataset.biomasse.biomassproduction.jpa.JPABiomassProductionDAO"
          parent="abstractDAO"/>
    <bean id="requestPropertiesBiomassProduction"
          class="org.inra.ecoinfo.acbb.dataset.biomasse.biomassproduction.impl.RequestPropertiesBiomassProduction"
          parent="requestPropertiesBiomasse">
        <property name="dateFormat" value="yyyy/MM/dd"/>
        <property name="localizationManager" ref="localizationManager"/>
    </bean>
    <bean id="publicationBiomassProductionDAO"
          class="org.inra.ecoinfo.acbb.dataset.biomasse.biomassproduction.jpa.JPAPublicationBiomassProductionDAO"/>

    <bean id="biomassProductionDatatype" class="java.lang.String">
        <constructor-arg type="java.lang.String">
            <value>biomasse_production_teneur</value>
        </constructor-arg>
    </bean>
    <bean id="biomassProductionHelper"
          class="org.inra.ecoinfo.acbb.dataset.biomasse.biomassproduction.impl.BuildBiomassProductionHelper"
          parent="abstractBuildHelperBiomasse" scope="prototype">
        <property name="biomassProductionDAO" ref="biomassProductionDAO"/>
        <property name="datatypeName" ref="biomassProductionDatatype"/>
    </bean>
    <bean id="deleteBiomassProduction" class="org.inra.ecoinfo.acbb.dataset.impl.DeleteRecord"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationBiomassProductionDAO"/>
    </bean>
    <bean id="processRecordBiomassProduction"
          class="org.inra.ecoinfo.acbb.dataset.biomasse.biomassproduction.impl.ProcessRecordBiomassProduction"
          parent="abstractProcessRecordBiomasse">
        <property name="masseVegClassDAO" ref="masseVegClassDAO"/>
        <property name="methodeAnalyseDAO" ref="methodeAnalyseBiomasseDAO"/>
        <property name="methodeProductionDAO" ref="methodeProductionDAO"/>
        <property name="paturageDAO" ref="paturageDAO"/>
        <property name="recFauDAO" ref="recFauDAO"/>
        <property name="datatypeName" ref="biomassProductionDatatype"/>
    </bean>
    <util:map id="biomassProductionColumnPatterns">
        <entry key="valeur" value="^(.*)_(valeur)$"/>
        <entry key="nb" value="^(.*)_(nb)$"/>
        <entry key="et" value="^(.*)_(et)$"/>
        <entry key="methode" value="^(.*)_(methode)$"/>
        <entry key="IQ" value="^(.*)_(IQ)$"/>
    </util:map>
    <bean id="testHeadersBiomassProduction" class="org.inra.ecoinfo.acbb.dataset.biomasse.impl.TestHeadersBiomasse"
          parent="genericTestHeaders">
        <property name="datatypeName" ref="biomassProductionDatatype"/>
        <property name="columnPatterns" ref="biomassProductionColumnPatterns"/>
        <property name="variableACBBDAO" ref="variableACBBDAO"/>
        <property name="mandatoryVariableNames">
            <list>
                <value>mav</value>
            </list>
        </property>
    </bean>
    <bean id="biomassProductionTestValue" class="org.inra.ecoinfo.acbb.dataset.biomasse.impl.TestValuesBiomasse"
          parent="genericTestValues"/>
    <bean id="testFormatBiomassProduction" class="org.inra.ecoinfo.acbb.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" ref="biomassProductionDatatype"/>
        <property name="testValues" ref="biomassProductionTestValue"/>
        <property name="testHeaders" ref="testHeadersBiomassProduction"/>
    </bean>
    <bean id="biomasseRecorder" class="org.inra.ecoinfo.acbb.dataset.impl.RecorderACBB" parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="biomasse/biomassproduction/impl/dataset-descriptor.xml"/>
        <property name="requestPropertiesName" value="requestPropertiesBiomassProduction"/>
        <property name="testFormat" ref="testFormatBiomassProduction"/>
        <property name="deleteRecord" ref="deleteBiomassProduction"/>
        <property name="processRecord" ref="processRecordBiomassProduction"/>
    </bean>
    <!--bean id="fluxTourDatatypeManager" class="org.inra.ecoinfo.acbb.dataset.flux.impl.DefaultFluxToursDatatypeManager"
    parent="MO" / -->
</beans>
